#
# spec file for package gnome-control-center
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           gnome-control-center
BuildRequires:  desktop-file-utils
BuildRequires:  fdupes
BuildRequires:  gnome-common
BuildRequires:  gnome-doc-utils-devel
BuildRequires:  gnome-patch-translation
BuildRequires:  intltool
BuildRequires:  translation-update-upstream
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(gconf-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gnome-desktop-2.0)
BuildRequires:  pkgconfig(gnome-settings-daemon)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(libcanberra-gtk)
BuildRequires:  pkgconfig(libebook-1.2)
BuildRequires:  pkgconfig(libgnomekbd)
BuildRequires:  pkgconfig(libgnomekbdui)
BuildRequires:  pkgconfig(libgnome-menu)
BuildRequires:  pkgconfig(libmetacity-private)
BuildRequires:  pkgconfig(libslab)
BuildRequires:  pkgconfig(libxklavier)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(unique-1.0)
BuildRequires:  pkgconfig(xcursor)
BuildRequires:  pkgconfig(xft)
BuildRequires:  pkgconfig(xi)
License:        GPLv2+
Group:          System/GUI/GNOME
Obsoletes:      fontilus themus acme
Provides:       fontilus themus acme
Version:        2.32.1
Release:        7.12.1
Summary:        The GNOME Control Center
Source:         %{name}-%{version}.tar.bz2
# PATCH-FEATURE-OPENSUSE gnome-control-center-shell-common-tasks-i18n.patch vuntz@opensuse.org -- Translate favorite capplets in the code. This is needed for our gconf2-branding to really work for this setting, so keep in sync with gconf2-branding.
Patch0:         gnome-control-center-shell-common-tasks-i18n.patch
# PATCH-FIX-UPSTREAM gnome-control-center-bnc427745-force-dpi.patch bnc427745 bgo553652 vuntz@novell.com -- Force the DPI to 96 right now to avoid big fonts.
Patch1:         gnome-control-center-bnc427745-force-dpi.patch
# PATCH-FIX-UPSTREAM gnome-control-center-mime-scheme-handler.patch vuntz@opensuse.org -- Use x-scheme-handler/* mime types to set default web browser and mailer. Cherry-picked to gonme-2-32 branch from master/3.0 branch
Patch2:         gnome-control-center-mime-scheme-handler.patch
# PATCH-FIX-OPENSUSE gnome-control-center-symlinked-background.patch vuntz@opensuse.org -- Do not show twice the configured background, if it is a symlink to a known background. This only applies to 2.32.x, and is not needed on 3.0, so there's no need to send it upstream
Patch3:         gnome-control-center-symlinked-background.patch
# PATCH-NEEDS-REBASE gnome-control-center-system-proxy-configuration.patch -- this needs to be reimplemented to be more distro-generic before submitting upstream - docs at http://en.opensuse.org/GNOME/Proxy_configuration (was PATCH-FEATURE-OPENSUSE)
Patch14:        gnome-control-center-system-proxy-configuration.patch
# PATCH-FEATURE-OPENSUSE gnome-control-center-use-settings-menu.patch
Patch28:        gnome-control-center-use-settings-menu.patch
# PATCH-FIX-UPSTREAM gnome-control-center-slideshow-arrows.patch glin@novell.com -- Correct the slideshow arrows in the background items
Patch29:        gnome-control-center-slideshow-arrows.patch
Url:            http://www.gnome.org
Requires:       nautilus gnome-settings-daemon gnome-menus
Recommends:     %{name}-lang
Provides:       control-center2 = 2.22.1
Obsoletes:      control-center2 < 2.22.1
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%gconf_schemas_prereq

%description
The control center is GNOME's main interface for configuration of
various aspects of your desktop.

%package devel
License:        GPLv2+
Summary:        Header files for the GNOME Control Center
Group:          System/GUI/GNOME
Requires:       %{name} = %{version}
Provides:       control-center2-devel = 2.22.1
Obsoletes:      control-center2-devel < 2.22.1

%description devel
The control center is GNOME's main interface for configuration of
various aspects of your desktop.

%package -n libgnome-window-settings1
License:        GPLv2+
Summary:        Utility library for getting window manager settings
Group:          Development/Libraries/GNOME
Group:          Development/Libraries/GNOME
Recommends:     %{name}-lang

%description -n libgnome-window-settings1
This library is used by the GNOME control center to change preferences
of window managers.

%package -n libgnome-window-settings-devel
License:        GPLv2+
Summary:        Utility library for getting window manager settings - Development Files
Group:          Development/Libraries/GNOME
Requires:       libgnome-window-settings1 = %{version}
Requires:       gtk2-devel

%description -n libgnome-window-settings-devel
This library is used by the GNOME control center to change preferences
of window managers.

%lang_package
%prep
%setup -q
translation-update-upstream
gnome-patch-translation-prepare
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
#NEEDS-REBASE
#%patch14 -p1
%patch28
%patch29 -p1
gnome-patch-translation-update

%build
autoreconf -f -i
%configure --with-pic\
	--disable-static\
	--disable-scrollkeeper\
	--disable-update-mimedb\
	--enable-aboutme
make %{?jobs:-j%jobs}

%install
%makeinstall
%if 0%{?suse_version} <= 1120
%{__rm} %{buildroot}%{_datadir}/locale/en@shaw/LC_MESSAGES/*
%endif
rm -f %{buildroot}%{_datadir}/applications/mimeinfo.cache
find %{buildroot} -type f -name "*.la" -delete -print
%find_lang %{name}-2.0 %{?no_lang_C}
# help files
%find_lang control-center %{?no_lang_C} %{name}-2.0.lang
%find_gconf_schemas
%suse_update_desktop_file -N "Control Center" -G "Personal Settings" -C "Configure the desktop" gnomecc DesktopSettings
# capplets
%suse_update_desktop_file at-properties X-SuSE-ControlCenter-Personal
%suse_update_desktop_file default-applications X-SuSE-ControlCenter-Personal
%suse_update_desktop_file display-properties X-SuSE-ControlCenter-Hardware
%suse_update_desktop_file gnome-about-me X-SuSE-ControlCenter-Personal
%suse_update_desktop_file gnome-network-properties X-SuSE-ControlCenter-Hardware
%suse_update_desktop_file gnome-settings-mouse X-SuSE-ControlCenter-Hardware
%suse_update_desktop_file gnome-appearance-properties X-SuSE-ControlCenter-LookAndFeel
%suse_update_desktop_file keybinding X-SuSE-ControlCenter-Personal
%suse_update_desktop_file keyboard X-SuSE-ControlCenter-Hardware
%suse_update_desktop_file window-properties X-SuSE-ControlCenter-LookAndFeel
%suse_update_desktop_file gnome-at-session
%suse_update_desktop_file gnome-font-viewer
%suse_update_desktop_file gnome-theme-installer
%fdupes $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%pre -f %{name}.schemas_pre

%post
%desktop_database_post
%icon_theme_cache_post
%mime_database_post

%posttrans -f %{name}.schemas_posttrans

%preun -f %{name}.schemas_preun

%postun
%desktop_database_postun
%icon_theme_cache_postun
%mime_database_postun

%post -n libgnome-window-settings1 -p /sbin/ldconfig

%postun -n libgnome-window-settings1 -p /sbin/ldconfig

%files -f %{name}.schemas_list
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%dir %{_datadir}/gnome/
%dir %{_datadir}/gnome/help/
%dir %{_datadir}/gnome/help/control-center/
%doc %{_datadir}/gnome/help/control-center/C/
%dir %{_datadir}/omf/
%dir %{_datadir}/omf/control-center/
%doc %{_datadir}/omf/control-center/control-center-C.omf
%{_sbindir}/gnome-display-properties-install-systemwide
%{_bindir}/*
%{_sysconfdir}/xdg/autostart/*.desktop
%{_datadir}/applications/*.desktop
%{_datadir}/desktop-directories/*.directory
%{_datadir}/gnome/cursor-fonts
%{_datadir}/gnome-control-center
%{_datadir}/icons/hicolor/*/*/*.png
%{_datadir}/icons/hicolor/scalable/apps/*.svg
%{_datadir}/mime/packages/*.xml
%{_datadir}/polkit-1/actions/org.gnome.randr.policy
%{_sysconfdir}/xdg/menus/gnomecc.menu

%files lang -f %{name}-2.0.lang

%files devel
%defattr (-, root, root)
%{_datadir}/pkgconfig/gnome-default-applications.pc
%{_datadir}/pkgconfig/gnome-keybindings.pc

%files -n libgnome-window-settings1
%defattr (-, root, root)
%dir %{_libdir}/window-manager-settings
%{_libdir}/window-manager-settings/libmetacity.so
%{_libdir}/libgnome-window-settings.so.*

%files -n libgnome-window-settings-devel
%defattr (-, root, root)
%{_includedir}/gnome-window-settings-2.0
%{_libdir}/libgnome-window-settings.so
%{_libdir}/pkgconfig/gnome-window-settings-2.0.pc

%changelog
* Tue Apr 26 2011 glin@novell.com
- Add gnome-control-center-slideshow-arrows.patch: correct the
  wrong arrows in gnome-appearance-properties due to a gtk change.
  (bnc#674537)
* Mon Feb 21 2011 vuntz@opensuse.org
- Add gnome-control-center-symlinked-background.patch: if the
  configured background is not known by the backgrourd capplet, but
  it's a symlink to another background which is known, then we only
  want to display this background once. This is useful in openSUSE,
  since the default configured background is such a symlink.
* Sun Feb 13 2011 vuntz@opensuse.org
- Call relevant macros in %%post/%%postun:
  + %%desktop_database_post/postun because the package ships at
    least one desktop file.
  + %%icon_theme_cache_post/postun because the package ships themed
    icons.
  + %%mime_database_post/postun because the package ships a mime
    type definition.
- Pass %%{?no_lang_C} to %%find_lang so that english documentation
  can be packaged with the program, and not in the lang subpackage.
- Change Requires of lang subpackage to Recommends, since the
  english documentation is not there anymore.
- Remove 2.x references in summaries and descriptions.
* Thu Jan 13 2011 vuntz@opensuse.org
- Add gnome-control-center-mime-scheme-handler.patch: correctly
  handle default browser and mailer. Because of a change in how gio
  works, the way to register default mailer and browser has changed
  to use MIME types instead of gconf keys. The patch is based on
  cherry-picked changes from git to the gnome-2-32 branch.
- Drop gnome-control-center-bnc436206-add-to-default.patch:
  groupwise should be updated to declare that it supports the
  x-scheme-handler/mailto mime type to be added to the list of
  mailers.
* Fri Nov 19 2010 vuntz@opensuse.org
- Update to version 2.32.1:
  + Default applications:
  - Use 'midori' as icon name for Midori web browser
  + Mouse:
  - Enable 2-finger scrolling through emulation (bgo#625163)
  + Keyboard:
  - Link against libxklavier also
  + Updated translations.
* Mon Sep 27 2010 vuntz@opensuse.org
- Update to version 2.32.0:
  + Updated translations.
* Sat Sep 18 2010 vuntz@opensuse.org
- Update to version 2.31.92.1:
  + Display:
  - Add missing include to fix build
  + Updated translations.
- Changes from version 2.31.92:
  + Display:
  - Don't silently ignore errors when pkexec(1) fails
    (bgp#627861)
  + About Me:
  - Use translations from fprintd for finger ops
  + Updated translations.
* Tue Sep  7 2010 vuntz@opensuse.org
- Remove unneeded librsvg-devel BuildRequires.
- Change old-style BuildRequires to pkgconfig() style
  BuildRequires:
  + old-style: evolution-data-server-devel, gnome-desktop-devel,
    gnome-menus-devel, gnome-settings-daemon-devel,
    libgnomekbd-devel, libslab-devel, libunique-devel,
    libxklavier-devel, metacity-devel, xorg-x11
  + new-style: dbus-1, dbus-glib-1, gconf-2.0, glib-2.0,
    gnome-desktop-2.0, gnome-settings-daemon, gtk+-2.0,
    libcanberra-gtk, libebook-1.2, libgnomekbd, libgnomekbdui,
    libgnome-menu, libmetacity-private, libslab, libxklavier,
    libxml-2.0, unique-1.0, xcursor, xft, xi.
- This will make it easier to switch to GNOME 3 libraries.
* Mon Sep  6 2010 vuntz@opensuse.org
- Add X-SuSE-ControlCenter-Personal category instead of
  X-SuSE-ControlCenter-System and AdvancedSettings to
  default-applications.desktop to make it appear where it should
  in the menu.
- Add X-SuSE-ControlCenter-Hardware category instead of
  X-SuSE-ControlCenter-System and AdvancedSettings to
  gnome-network-properties.desktop to make it appear where it
  should in the menu.
* Wed Sep  1 2010 vuntz@opensuse.org
- Update to version 2.31.91:
  + About me:
  - Fix enrolling with Upek Eikon II fingerprint reader
    (bgo#627249)
  + Shell:
  - Update libslab from master (bgo#612417)
  + Updated translations.
* Tue Aug 17 2010 dimstar@opensuse.org
- Update to version 2.31.90:
  + Updated translations.
* Fri Aug  6 2010 vuntz@opensuse.org
- Update to version 2.31.6:
  + Common:
  - Replace deprecated GTK+ symbols (bgo#572325)
  + About me:
  - Don't hang when new and old password are too similar
  - Catch "password too recent" error message (bgo#620135)
  + Font viewer:
  - Create the preview pixmap after the drawing area is realized
  + Keyboard:
  - Changing Print layout to Show layout
  + Shell:
  - Don't include both Personal and Look & Feel
  + Updated translations.
- Changes from version 2.31.1:
  + Common:
  - Use only single GTK+ includes (bgo#615292)
  - Remove GTK+ deprecated symbols (bgo#572325)
  + About me:
  - Don't hang when new and old password only differ in case
  - Minor string updates (bgo#615283)
  - Use changes-prevent and changes-allow icons from the
    icon-them instead of the outdated lock-icons (bgo#408585)
  - Use accessor functions instead direct access (bgo#597888)
  + Display:
  - Add a "Make Default" button in gnome-display-properties,
    which is used to set up a systemwide default RANDR
    configuration
  - Change icon name to preferences-desktop-display (bgo#614912)
  + Keyboard:
  - Added tooltips (bgo#615521)
  - Use new libgnomekbd function for default group switcher
    (bgo#603806)
  - Proper response id for the help button (bgo#616917)
  + Shell:
  - Fix issue with g-c-c shell and YaST shell having same unique
    identifier
  + Typing break:
  - Add support for Ubuntu's app indicator
  + Updated translations.
- Drop
  gnome-control-center-bnc373197-layout-switch-keybinding.patch:
  not needed anymore, since this is now handled in libgnomekbd
  (that we patched).
- Remove libcanberra-gtk Requires: packaging of libcanberra has
  changed, and the login sound will get installed via a Supplements
  there.
* Thu Apr 29 2010 dimstar@opensuse.org
- Update to version 2.30.1:
  + Don't hang when new and old password only differ in case
  + Updated translations.
* Mon Mar 29 2010 vuntz@opensuse.org
- Update to version 2.30.0:
  + About me:
  - Fix global variable confusion
  - Fix remembering of data between runs
  + Appearance:
  - Mark a string for translation (bgo#612015)
  - Fix GTK+ multi-threading (bgo#610003)
  + Display:
  - Don't show a tooltip while a monitor is being dragged
  + Typing break:
  - Lock all the screens (bgo#492974)
  + Updated translations.
* Mon Mar  8 2010 dimstar@opensuse.org
- Update to version 2.29.92:
  + Updated translations.
* Fri Feb 26 2010 dimstar@opensuse.org
- Update to version 2.29.91:
  + Appearance:
  - Add 'span' as a style for backgrounds
  + Display Properties:
  - Now fits in 640x480 and has a better layout overall.
  - Just use "monitors" for wording, not a mixture of "monitor",
    "display", "screen".
  - Make the mouse cursor indicate when you can drag a monitor
  + Updated translations.
* Wed Feb 10 2010 vuntz@opensuse.org
- Update to version 2.29.90:
  + About-me:
  - Fix hangs when 'passwd' outputs unexpected answers
  - Fix list of passwd error strings
  - Fix fingerprint name on 2nd page
  + At-properties:
  - Add AutostartCondition to gnome-at-session.desktop
    (bgo#608138)
  + Mouse:
  - Fix mnemonics conflicts on touchpad tab (bgo#608057)
  + Updated translations.
- Fix self-obsoletion of control-center2, control-center2-devel.
* Wed Jan 27 2010 vuntz@opensuse.org
- Update to version 2.29.6:
  + About-me:
  - Add translator comments to 'Home' string (bgo#605944)
  + Appearance:
  - Use GtkInfoBar rather than a copy of GeditMessageArea
  + Common:
  - Don't leak file descriptors when checking for colour schemes
    (bgo#606155)
  + Mouse:
  - Disable tapping only for touchpads without a left mouse
    button
  + Updated translations.
* Wed Jan 20 2010 sbrabec@suse.cz
- Added support for translation-update-upstream (FATE#301344).
* Thu Dec 24 2009 vuntz@opensuse.org
- Update to version 2.29.4:
  + General:
  - Drop obsolete check for HAL (bgo#595832)
  - Use external libslab when available
  - Add gthread-2.0 to common modules for linking (bgo#600589)
  - Enable silent build rules
  + Common:
  - Fix all the keybindings showing up when using compiz
    (bgo#600021)
  - Fix leak
  - Fix warning
  + About-me:
  - Fix crash when closing the window using the window button
    (bgo#592348)
  - Add missing PNG files
  + Appearance:
  - Remove interface tab (bgo#592756)
  - Add OnlyShowIn=GNOME to the .desktop file (bgo#594709)
  - Update the background style option labels (bgo#411048)
  - Fix tooltip in the background chooser (bgo#596369)
  - Add support for per-monitor backgrounds (bgo#147808)
  + Default applications:
  - Update the exec arg when changing terminal (bgo#597185)
  - Be sure to add the gconf directories for monitoring
    (bgo#597186)
  - Return an empty string for the custom web item
  + Display:
  - Don't assert when the current output doesn't have a
    resolution set yet (bgo#593866)
  - Automatically turn on outputs which support Mirror Screens
    (bgo#590823)
  - Sensitize 'Mirror Screens' depending on whether mirror mode
    is actually supported
  - Desensitize the on/off radio buttons if we are in Mirror
    Screens mode
  - Show 'Mirror Screens' in the monitor label, not a random
    monitor's name
  + Font Viewer:
  - Use pango_language_get_sample_string for sample text
    (bgo#595107)
  - Expand the Copyright display to get rid of unnecessary
    scrollbar
  - Don't use URI notation when installing fonts (bgo#603732)
  + Keybindings:
  - Fix broken logic in keybinding tree model
  - Fix zombie bindings appearing after deleting custom shortcuts
    (bgo#596351)
  - Show shortcuts for the active window manager (bgo#600531)
  - Remove sleep key entry (bgo#170175)
  + Keyboard:
  - Major UI reorganization
  - Fix mnemonic conflict in mousekeys tab (bgo#586433)
  + Mouse:
  - Disable two-finger scrolling/tapping based on touchpad
    capabilities.
  + Network:
  - Keep proxies in sync when "use same proxy" is selected
    (bgo#589952)
  + Typing break:
  - Increase delay for activating the postpone button to 5s
    (bgo#597086)
  - Reset timer after suspend (bgo#430797)
  + Windows:
  - Don't allow Ctrl+Click as window movement modifier
    (bgo#409405)
  + Updated translations.
- Drop gnome-control-center-default-app-xterm.patch: fixed
  upstream.
- Add libslab-devel BuildRequires.
* Thu Dec 24 2009 vuntz@opensuse.org
- Add gnome-control-center-shell-common-tasks-i18n.patch to
  translate favorite capplets, as set in gconf2-branding. This
  patch needs to be kept in sync with the branding package.
- Add gnome-patch-translation BuildRequires, since we now have
  custom strings.
* Tue Nov  3 2009 coolo@novell.com
- updated patches to apply with fuzz=0
* Sat Oct  3 2009 riggwelter@opensuse.org
- bnc#533491 - Only show Preferred Applications in System section.
* Sat Oct  3 2009 vuntz@opensuse.org
- Add gnome-control-center-default-app-xterm.patch to correctly set
  the exec arg gconf key when changing the preferred terminal. Fix
  bnc#544006.
* Mon Sep 21 2009 dimstar@opensuse.org
- Update to version 2.28.0:
  + Appearance:
  - bgo#323323 - Add link buttons to get more themes/backgrounds
    online
  - bgo#592510 - Add/remove buttons should be the same size
  - bgo#591375 - Make slideshows visually distinct
  - Don't call gnome_wp_item_ensure_gnome_bg too early
  - Rename some widget ids to make GtkBuilder happy
  - Use XDG user and system data dirs to load backgrounds
  - Fix compiler warnings
  - bgo#584342 - Make the font DPI spin button work again
  - Show correct default layout
  - bgo#594718 - Update icon because the old one has been removed
    from g-i-t
  - bgo#594066 - Allow a window manager to inherit keybindings
    from another window manager
  - Force cursor slide to 100 px, in order to use it without
    changing the window width
  + Common:
  - bgo#592920 - Drop check for libgnomeui
  + Updated translations.
- Drop libgnomeui-devel BuildRequires.
* Fri Aug 28 2009 dimstar@opensuse.org
- Update to version 2.27.91:
  + Appearance:
  - bgo#592182 - Use unique widget IDs
  - bgo#584029 - Add workaround for glade-3 not working with vbox
  - bgo#592354 - Fix parentless modal dialogs in theme installer
  + Common:
  - Add schemas file
  - Fix distcheck
  + Display:
  - Fix dragging of rotate monitors
  + Font viewer:
  - bgo#592642 - Use preferences-desktop-font for the icon
  - Fix filename after GTKBuilder migration
  + Mouse:
  - bgo#592425 - Keep touchpad UI in sync with GConf
  + Network:
  - bgo#581472 - Update the ignored hosts list when the location
    changes
  + Shell:
  - Updated to latest libslab
  + Updated translations.
* Fri Aug 28 2009 vuntz@novell.com
- Remove unneeded PolicyKit-gnome-devel BuildRequires.
* Sun Aug 23 2009 dimstar@opensuse.org
- Update to version 2.27.90
  + About-me:
  - Remove old code poking directly into the pwent
  - Port to PolicyKit-1.0
  + Appearance:
  - bgo#591392 - Fix crash when iterating through the tree model
  - bgo#591656 - Attributes tag is not supported in GtkButtons
  - Make sure the underline in "Save _As..." is interpreted
  + Common:
  - Change error message reference about Bonobo to DBus
  - bgo#590933 - Remove markup from translatable string
  - Fix compiler warnings
  - Fix requires in gnome-window-settings-2.0.pc
  + Display:
  - Don't start the outputs before creating the labeler
  - Remove dead code
  - Ensure that the output labels fit inside the monitor
    rectangle
  + Shell:
  - bgo#568527 - Remove libgnomeui usage
  - Do not depend on libpanel-applet
  - Use GOption in the shell
  - Fix error message with unknown option in shell
  - Use libunique in the shell to have a single-instance shell
  - Update to latest libslab, and do not install libslab on the
    system
  + Updated translations.
- Drop gnome-control-center-libslab.patch: included upstream.
- Replace gnome-panel-devel BuildRequires by libgnomeui-devel.
* Thu Aug 13 2009 vuntz@novell.com
- Update to version 2.27.5:
  + Default applications:
  - Don't clear the custom browser command on startup
    (bgo#590316)
  + General:
  - Remove all libglade dependencies
  - Remove markup from translatable strings in GTKBuilder files
    (bgo#599759)
  + Network:
  - Fix unparsed mnemonics (bgo#590364)
  + Shell:
  - Removed deprecated dependencies from libslab
  - Adapted shell to new libslab API
  - Remove libgnome and libgnomeui dependencies
  + Updated translations.
- Respin gnome-control-center-use-settings-menu.patch.
- Add gnome-control-center-libslab.patch, taken from git, to fix
  some mess with the internal copy of libslab.
- Remove gstreamer010-plugins-base-devel, libglade2-devel
  BuildRequires.
- Remove Recommends on gnome-audio: that's not true anymore (the
  capplet handling this has moved to gnome-media).
- Split out libraries in their own packages:
  libgnome-window-settings1, libgnome-window-settings-devel.
- Remove permissions PreReq and the call to
  run_permissions/verifyscript/verify_permissions since we don't
  ship change-passwd anymore.
- Remove libexecdir argument from configure.
* Mon Jul 20 2009 vuntz@novell.com
- Update to version 2.27.4.1:
  + About me:
  - EXTRA_DIST fingerprint icons
  + Common:
  - Automatically generate .gitignore files with git.mk
  + Network:
  - Remove libglade dependency from gnome-network-properties
  + Updated translations.
- Changes from version 2.27.4:
  + About me:
  - New icons for fingerprint screen
  + Appearance:
  - Migrate to GtkBuilder
  - Remove custom cell renderers
  + At-properties:
  - Remove libglade depency from at-properties capplet
  + Default applications:
  - Remove libglade dep from default-applications capplet
  + Display:
  - Remove libglade dependency from display-properties capplet
  + Keybindings:
  - Remove libglade dependency from keybindings capplet
  + Mouse:
  - Support touchpad configuration through device properties
  + Shell:
  - Fix libslab for single includes in GTK+
  + Typing break:
  - Use GtkUIManager to replace GtkItemFactory
  + Windows:
  - Strip libglade dependency from gnome-window-properties
  + Updated translations.
- Changes from version 2.27.3:
  + About me:
  - Initialize GThread subsystem (bgo#583451)
  + Appearance:
  - Search GTK+ icon theme search path for icon themes
    (bgo#575906)
  - Only delete the theme if the user pressed OK (bgo#578694)
  - Close gtkrc files after use (bgo#578835)
  - Fix theme engine detection on non-UNIX platform (bgo#581156)
  - Don't unref NULL GConf entries
  - After removing an image set the cursor to the newly selected
    wallpaper (bgo#575075)
  + Default applications:
  - Add Arora to list of browsers
  + Display:
  - Pass a transient parent ID to the ApplyConfiguration callback
    so that it can make its confirmation dialog a child of the
    parent (bgo#576006)
  - Simplify calls to dbus-glib which cannot fail
  - Ensure that there will be a backup file before committing
    (bgo#486093)
  - Make the monitor heading be explicitly black (bgo#556050)
  - Fix the layout-outputs-horizontally helper
  - Use the timestamp of the Apply button to change the RANDR
    configuration
  - Don't pop up a redundant error dialog
  + Font viewer:
  - Safely printf strings
  - Interrupt thumbnailing at 30 s instead of 30 msecs
    (bgo#584107)
  + Keybindings:
  - Make activating a section header row expand or collapse the
    section as expected instead of crashing (bgo#577474)
  - Make the custom keybinding UI smoother
  - Don't needlessly write entries back to gconf on startup
    (bgo#581986)
  + Keyboard:
  - Dependency on libxklavier 4.0, optional load/display of extra
    layouts
  + Shell:
  - Fix libslab svn:external problem
  + Updated translations.
- Move the control-center help files to the lang package.
- Disable gnome-control-center-system-proxy-configuration.patch:
  this needs rebasing.
* Mon Jun  1 2009 sreeves@novell.com
- Fix bnc#436206 - add GroupWise to the defaults
* Wed May 27 2009 vuntz@novell.com
- Remove gnome-passwd and enable gnome-about-me instead (which
  requires --enable-aboutme in configure).
- Add PolicyKit-gnome-devel BuildRequires.
- Remove gnome-patch-translation support.
- Drop control-center-art.tar.bz2 which contains old icons.
- Do not add DocPath to desktop files: it's not needed for yelp.
- Rename gnome-control-center-system-proxy-configuration.diff to
  gnome-control-center-system-proxy-configuration.patch
* Mon May 25 2009 federico@novell.com
- Updated and enabled gnome-control-center-system-proxy-configuration.patch
  so that it builds with this version of gnome-control-center.
* Tue Mar 17 2009 vuntz@novell.com
- Update to version 2.26.0:
  + About me:
  - Fix warning when selecting a finger to enroll in the combo
    box (bgo#574974)
  + Default applications:
  - Fix mnemonic conflicts
  + Display:
  - Make the strings of the rotation dialog appear translated
    (bgo#574693)
  - Fix crash when refreshing RANDR configuration (bgo#574865)
  + Font viewer:
  - Stop the font thumbnailer eating all the CPU (bgo#573795)
  + Keybindings:
  - Fix mnemonics conflict on the custom shortcut window
  + Typing break:
  - Revert string freeze breaker (bgo#572325)
  + Updated translations.
- Remove fontilus.xml: it shouldn't be needed anymore, since
  shared-mime-info contains this.
- Don't move gnome-keybindings.pc to /usr/lib/pkgconfig: it's fine
  in /usr/share/pkgconfig
* Fri Mar  6 2009 vuntz@novell.com
- Update to version 2.25.92:
  + General:
  - remove lots of deprecated GDK/GTK+ calls (bgo#572325)
  + Appearance:
  - fix message markup appearing in post-install dialog
    (bgo#572453)
  + Display:
  - don't block the GUI while changing RANDR configuration
  - realign outputs after a resolution change
  - use black text for enabled monitors
  - change window title and menu entry to "Display"/"Display
    Preferences" (bgo#570907)
  + Keybindings:
  - fix saving custom shortcut commands (bgo#572501)
  - always show "<Unknown Action>" for shortcuts without a
    description (bgo#572808)
  + Keyboard:
  - add visual bell settings (bgo#564998)
  - fix initial layout preview (bgo#550721)
  - restore help button in layout options (bgo#556952)
  - remove non-existing icon from sound notifications button
    (bgo#570906)
  + Font Viewer:
  - initialize type system to fix hang (bgo#572189)
  + Updated translations.
- Remove -fno-strict-aliasing from CFLAGS.
- Remove AutoReqProv: it's default now.
* Thu Mar  5 2009 vuntz@novell.com
- Add libgnomeui-devel to Requires of devel package.
* Thu Feb 12 2009 vuntz@novell.com
- Call %%suse_update_desktop_file on gnome-network-properties
* Thu Feb  5 2009 mboman@suse.de
- Update to version 2.25.90:
  + General:
    + Rename gnome-network-preferences to gnome-network-properties
    (bgo#554342)
  + About me:
    + Build fixes
    + Fix email addresses being generated by g-a-m always being
    saved as type
    + "OTHER" (Jens Granseuer) (bgo#570113)
  + Appearance:
    + Fix newly installed themes appearing twice in the GTK themes
    list if the package contains themes for both GTK and
    metacity (bgo#568595)
    + Use "Desktop Background" instead "Wallpaper" as per GDP
    glossary (bgo#569382)
  + Common:
    + Add GnomeThemeElement parameter to the ThemeChangedCallback
    so that the receiver can determine what part of the theme
    changed
  + Default application:
    + Fix the https handler never being set (bgo#568408)
    + Update the web entry with the correct command for the
    selected option instead of always using the default
  + Display:
    + Build fixes
    + Add On/Off radio buttons to turn on/off a monitor
    + Don't crash if we don't have an output (bgo#569218)
  + Keybindings:
    + Build fixes
    + Print a warning when a key doesn't have a schema,
    so no description
    + Make Enter work as expected in the custom key shortcut
    edit dialogue
  + Keyboard:
    + Sort options by description
    + Hide help button in Options (bgo#556952)
    + Allow setting a repeat delay of up to 2 seconds (bgo#569612)
  + Shell:
    + Use single GTK includes in slab (bgo#551850)
    + Compile with G*_DISABLE_DEPRECATED in slab (bgo#551850)
  + Typing break:
    + Play a sound when the display is locked or unlocked
    (bgo#169473)
  + Translation updates
- Update gnome-control-center-passwd-dialog.patch
* Fri Jan 23 2009 vuntz@novell.com
- Really apply gnome-control-center-bnc427745-force-dpi.patch
- Drop gnome-control-center-desktop.patch: the only relevant
  changes to desktop files are now done via
  %%suse_update_desktop_file
- Drop gnome-control-center-docpath.patch: we don't use DocPath in
  GNOME.
- Reduce BuildRequires.
- Remove specific commands for old version of openSUSE, including
  the handling of permissions stuff that is now done another way
  (so we can drop permissions.tar.bz2 too)
- Other minor tweaks to clean up the spec file.
- Call %%suse_update_desktop_file on all desktop files. Part of
  bnc#445728.
* Sat Jan 17 2009 crrodriguez@suse.de
- remove "la" files, baby step to clean up all references
  to libavahi-*.la
* Fri Jan  9 2009 federico@novell.com
- Remove gnome-control-center-randr-gerror.diff. Fixed upstream
* Fri Jan  9 2009 federico@novell.com
- Added gnome-control-center-randr-gerror.diff.  This adds good error
  reporting when changing the multihead configuration, and fixes these
  bugs:
  bnc#381030 - Fix spacings in the display capplet's dialog, labels,
  and option grouping.
  bnc#450141 - Remove nonfunctioning Help button.
  bnc#433939 - Make it more obvious how to turn on a newly-detected
  monitor that is off.
  bgo#551566 - Fix incorrect repainting when resizing the capplet's
  dialog.
* Fri Dec 26 2008 rodrigo@novell.com
- Remove unneeded patch
- Update to version 2.25.3:
  + Removed sound capplet, moved to gnome-media
  + Add support for fingerprint readers with more than one enrollment stage
  + Display errors when any happen
  + Slight UI changes
  + When a monitor is selected, update the monitor label to have the monitor's
    name and colour so they know which one is being edited
  + Make the monitor on which the dialogue appears the default one on startup
  + Fix monitors still overlapping when turning off "Mirror screens"
  + Remove unneeded help button in display capplet
* Wed Nov 12 2008 rodrigo@novell.com
- Add libcanberra-gtk to Requires to get sound events working (bnc#439054)
* Tue Nov  4 2008 vuntz@novell.com
- Move gnome-control-center-use-preferences-menu.patch to
  gnome-control-center-use-settings-menu.patch since we now use
  settings.menu.
* Sat Oct  4 2008 mboman@suse.de
- Update to version 2.24.0.1:
  + Fix newly-introduced crash in theme tab (bgo#553541)
* Fri Sep 26 2008 vuntz@novell.com
- Merge openSUSE:Factory and GNOME:Factory...
- Add gnome-control-center-bnc427745-force-dpi.patch to force the
  DPI to 96. This fixes huge fonts on login on recent laptops.
  Fixes bnc#427745.
* Tue Sep 23 2008 rodrigo@novell.com
- Update to version 2.24.0:
  + Accessibility:
  - Improve tooltip wording
  + Appearance:
  * when a hidden theme is selected, and therefore becomes visible,
    create a thumbnail for it (bgo#547301)
  * don't fail if the destination files already exist and the user tries
    to overwrite them (bgo#552671)
  * set GtkAdjustment page size to 0 to avoid roblems due to newly enforced
    value boundaries in GTK+ 2.14 (bgo#551740)
  + Common:
  * properly initialize the callback data (bgo#550263)
  + Default applications:
  * don't advertise startup-notify. The script doesn't support it (bgo#550694)
  * use a11y icon instead of searchtool (bgo#550742)
  + Display:
  * Use "Mirror Screens" instead of "Cloned Output" in the display of monitors,
    to be consistent with the corresponding checkbox from the Glade file
  * use theme colours for the background (bgo#545117)
  + Keybindings:
  * don't use the term "accelerator" in the UI (bgo#547276)
  + Keyboard:
  * chosing first variant by default (bgo#550722)
  * using the fact that latest libxklavier returns descriptions in UTF-8,
    no need to convert in 8-bit locales
  + Sound:
  * trying to print NULL strings crashes on Solaris (bgo#548586)
  * add context to event sound names (bgo#549489)
  + Updated translations
* Fri Sep 19 2008 rodrigo@novell.com
- Added dependency on libcanberra-*
- Sound capplet is built always (bnc#427748)
* Thu Sep 18 2008 sbrabec@suse.cz
- Dropped ftp:// and news:// patches (bnc#256090).
* Thu Sep  4 2008 mboman@novell.com
- Update to version 2.23.90:
  + Appearance:
  * Use default icon for unknown themes
  * Remove help button
  + Common:
  * Make sure we have a notification theme before trying to save it
    (bgo#547448)
  * Keep track of hidden themes (bgo#547301)
  * Require gnome-desktop 2.23.90
  + Display:
  * Draw rotated outputs rotated
  * Don't leak the application or the GladeXML
  * Replace all uses of g_print with g_debug
  * Fail gracefully if we cannot get a screen
  * Add sexy labels to identify monitors
  + Shell:
  * Remove eel dependency from libslab
  + Sound:
  * Fix warning due to left-over developer code (bgo#546583)
  * HIG fixes and improved wording (bgo#545219)
  * Make the event sound preview button listen to "activate" signal so it
    becomes accessible via keyboard (bgo#547808)
  + Translation updates
- Remove gnome-control-center-monitor-labeling.diff. Fixed upstream
* Thu Aug 28 2008 ro@suse.de
- fix build: sound settings are not being built at the moment
  (configure does not find CANBERRA)
  skip the update-desktop-file if it is not being installed
- vfs-methods have been removed, remove in filelist as well
* Wed Aug 20 2008 sbrabec@suse.cz
- Require gnome-menus - gnome-control-center binary requires
  /etc/xdg/menus/preferences.menu.
* Mon Aug 18 2008 federico@novell.com
- Updated gnome-control-center-monitor-labeling.diff so that it applies cleanly.
* Fri Aug 15 2008 federico@novell.com
- Added gnome-control-center-monitor-labeling.diff to implement
  labeling of physical monitors while their properties are being set
  in the Display capplet.
* Tue Aug  5 2008 rodrigo@suse.de
- Update to version 2.23.6:
  + Various fixes and improvements
  + Add freedesktop sound theme support
  + Updated translations
  + Updated randr 1.2 code
- Removed upstreamed randr1.2 patch
* Fri Jun 20 2008 maw@suse.de
- Update to version 2.23.4:
  + Various fixes and improvements
  + Drop the gnome-vfs dependency
  + Bugs fixed: bgo#309629, bgo#532893, bgo#317835, bgo#515078,
    bgo#526944, bgo#528196, bgo#519065, bgo#500276, bgo#524401,
    bgo#524401, bgo#511065, bgo#528196, bgo#524813, bgo#521826,
    bgo#529772, bgo#515078, bgo#527418, bgo#314883, bgo#523888,
    bgo#525530, bgo#529720, bgo#134595, and bgo#329503
  + Updated translations.
* Fri Jun 13 2008 federico@novell.com
- Updated gnome-control-center-system-proxy-configuration.patch to fix
  https://bugzilla.novell.com/show_bug.cgi?id=350513 - the widgets for
  manual proxy configuration were disabled at startup, even if Manual
  mode was selected in the user's configuration.
* Thu May 29 2008 federico@novell.com
- Updated gnome-control-center-randr-1.2.diff with the latest fixes from upstream.
* Tue May 13 2008 vuntz@suse.de
- Add gnome-control-center-bnc373197-layout-switch-keybinding.patch
  to change the default keyboard layout switching to
  Shift_L+Shift_R instead of Alt_L+Alt_R, which doesn't work at the
  moment. Helps with bnc#373197 for 11.0.
* Sat May  3 2008 coolo@suse.de
- Obsoleting older version not newer
* Fri Apr 25 2008 federico@novell.com
- Added gnome-control-center-randr-1.2.diff to integrate the new
  functionality to configure RandR 1.2.
* Mon Apr 14 2008 ro@suse.de
- added also provides for old name, not just obsoletes
* Mon Apr 14 2008 rodrigo@suse.de
- Renamed to gnome-control-center, like upstream
- Removed desktop-effects patch, moved to simple-ccsm
* Thu Apr 10 2008 maw@suse.de
- Update to version 2.22.1:
  + appearance:
  * Don't resize the font samples vertically when the window is
    resized (bgo#521823)
  * Fix warning when trying to drag an unselected item
    (bgo#523347)
  * Don't try to unref URIs if the theme package is invalid
    (bgo#524567)
  + common:
  * Fix a crash when schemas are not properly installed
    (bgo#520744)
  * Fix error handling in the thumbnailer (bgo#521009)
  * Actually check the cursor size before changing it in GConf
  + keybindings:
  * Remove debugging output
  * Stop widget accelerators from activating while the user is
    entering a new shortcut (bgo#313228)
  * Fix category headers not appearing properly in the treeview
    when using a non-UTF-8 locale (bgo#513988)
  + keyboard:
  * Don't crash when called for a drag with no selected items
    (bgo#523379)
  * Don't show the typing break tab if the typing monitor is
    not available (bgo#524034)
  + sound:
  * Use new tango icon (bgo#523916)
  * Don't show modems in the device chooser (bgo#523888)
  + themus:
  * Handle failed thumbnailing attempts properly
  + typing-break:
  * New Tango-style icons (bgo#523965)
  * Replace custom stop icon with gtk-stop stock icon
  + Updated translations.
* Mon Mar 31 2008 rodrigo@suse.de
- Added control-center2-desktop-effects.patch to add compiz
  activation GUI to the appearance capplet.
- Finish tagging of patches
* Fri Mar 14 2008 maw@suse.de
- Update to version 2.22.0:
  + about-me:
  * Fix misspelling of "palindrome" (bgo#519398)
  + common:
  * Port to GIO
  + keyboard:
  * Fix leaks and remove unnecessary casts
  + mouse:
  * Make the mouse orientation radio button usable with both
    mouse buttons
  + Updated translations.
* Thu Mar 13 2008 sbrabec@suse.cz
- Custom look'n'feel gconf keys moved to gconf2-branding-openSUSE.
* Tue Mar  4 2008 maw@suse.de
- Update to version 2.21.92:
  + http://ftp.acc.umu.se/pub/GNOME/sources/gnome-control-center/2.21/gnome-control-center-2.21.9[12].news.
* Mon Feb  4 2008 rodrigo@suse.de
- Added very much needed dependency for upcoming alpha on
  gnome-settings-daemon, a runtime dependency which is not being
  picked up in any pattern
* Fri Feb  1 2008 rodrigo@suse.de
- Update to version 2.21.90:
  * http://ftp.acc.umu.se/pub/GNOME/sources/gnome-control-center/2.21/gnome-control-center-2.21.90.news
- Re-enable gnome-patch*
* Wed Jan 30 2008 maw@suse.de
- Revert last change -- nautilus owns
  %%{_libdir}/nautilus/extensions-2.0 now.
* Tue Jan 29 2008 thoenig@suse.de
- Fix build:  Add %%dir %%{_libdir}/nautilus/extensions-2.0
* Tue Jan 29 2008 rodrigo@suse.de
- Updated to 2.21.5:
  * http://ftp.gnome.org/pub/GNOME/sources/gnome-control-center/2.21/gnome-control-center-2.21.5.news
- Disabled patches that need rebase
- Removed suse_update_desktop_file for no longer existing files.
- Removed gnome-settings-daemon related files
- Disable temporarily gnome-patch-translation*, since it's
  complaining about files removed upstream ??
* Wed Nov 21 2007 maw@suse.de
- Fix build.
* Tue Nov  6 2007 rodrigo@suse.de
- Added missing gtk_widget_set_sensitive call (#8785)
* Thu Nov  1 2007 sreeves@suse.de
- Fix for #298047 - remove reference to background.desktop
* Thu Oct 11 2007 sbrabec@suse.cz
- Removed bogus dependency on mDNSResponder.
* Mon Sep 17 2007 maw@suse.de
- Update to version 2.20.0:
  (Bug numbers in this entry are against bugzilla.gnome.org)
  + Appearance:
  * Correct translatable property value of "Save As" (#473810)
  * Don't set a fixed width for the toolbar button color label
    (#474317)
  * Add comment for translators (#473379)
  + General:
  * Fix building with Sun's Forte compiler (#473967)
  + Updated translations.
* Mon Sep 10 2007 maw@suse.de
- Update to version 2.19.92:
  + Appearance:
  * Leaks fixed
  * Use _prepend for lists instead of _append
  + Updated translations.
* Mon Sep 10 2007 rodrigo@suse.de
- Remove workaround for upstream bug already fixed (#223798)
* Wed Sep  5 2007 maw@suse.de
- Add control-center2-default-keybindings-thoenig-01.patch
  (#297640).
* Fri Aug 31 2007 maw@suse.de
- Update to version 2.19.91:
  (Bug numbers listed here are against bugzilla.gnome.org)
  + general:
  * Hide the password in displayed URIs when transfering files
    (#339551)
  + about-me:
  * Use g_get_user_special_dir() instead of hard-coding ~/Pictures
  * Honor mail address attributes when setting up Home and Work
    addresses
  + appearance:
  * Don't generate GTK thumbnails when we want metacity or icon
    (#462724)
  * No need for an expensive parse to initialize the colors
  * Reduce metacity thumbnail size to 128x128
  * Also load the "default" cursor theme so we know the
    available sizes (#462409)
  * Create the icon theme representative before the GTK stock
    button
  * Various small tweaks and optimizations
  * Add a shortcut to the user's special Pictures folder to
    the file chooser and default to it (#461093)
  * HIG capitalization fix for a checkbutton label
  * Use thumbnail factory to store and retrieve metatheme
    thumbs (#448968)
  * Remove check for old glib version that would result in
    bogus code
  * Only add a "Default Pointer" list item if there is no such
    GnomeThemeCursorInfo
  * Toggle sensitivity of the cursor scale labels (#463442)
  * Indent category contents, and other HIG spacing fixes
  * Fix check for available symbolic colors and make buttons
    for unsupported colors insensitive (#464081)
  * Make sure the color scheme has changed before writing
    to GConf and enabling the reset button
  * Reenable theme lockdown
  * Restrict drag'n'drop installation to the theme tab
  * Fix double-free and use-after-free
  * Make sure we have a selection before trying to get the
    data (#465431)
  * Don't leak the cursor font
  * Fix double-free and make the builtins non-static to save
    relocations (#467522)
  * Properly check all installed themes if necessary (Jens Granseuer)
  * Free the metacity theme after use (#469531)
  * Correct the item width and enable line wrapping for
    long theme names (#466405)
  * If no background image set, select "no wallpaper"
  * Simply set the upper bound of the DPI spin button to
    the maximum we consider acceptable (#469580)
  * Don't mark gtk-delete stock id for translation (#470532)
  * Always generate thumbnails asynchronously (#469849)
  + default applications:
  * Don't use '==' and improve portability with empty strings
  * Add browser and mail entries Iceape) (#467472)
  * Use the new -new-tab and -new-window arguments instead
    of -remote for Firefox tab and window commands (#393204)
  + keybindings:
  * Make the arrows and tabs unbindable without a modifier
    (#463433)
  + keyboard:
  * Disable "delete" button when no layout is selected
    (#466749)
  * Make "Add label" string translatable) (#470516)
  + settings daemon:
  * Use CTRL-ALT-DEL as default keybinding for 'Log out'
  * Use a list instead of a hash table to store the settings
    modules (#449118)
  * Raise the volume when unmuting
  * Show X keyboard settings warning dialog delayed, so that
    it runs properly centered and with decorations
  * Initialize XKB config early so that callback would not
    crash (#469192)
  + window:
  * Expose missing metacity double-click actions (#416541)
  + Updated translations
- Refresh control-center2-default-config.patch
- Remove control-center2-shell-desktop.patch.
* Wed Aug 22 2007 rodrigo@suse.de
- Patched gnomecc.desktop file to have the control center entry
  show up on the traditional menu bar (#260545)
* Thu Aug 16 2007 rodrigo@suse.de
- Fixed location of gnome-passwd.glade file (#296721)
* Wed Aug  8 2007 maw@suse.de
- Split off a -lang subpackage.
* Fri Aug  3 2007 jpr@suse.de
- Cleanup patches (#256090)
* Thu Aug  2 2007 maw@suse.de
- Update to version 2.19.6:
  + about-me:
  * Add a tooltip to the image button
  + appearance:
  * Add option to add wallpapers via the command line
  * Use new GTK+ convenience API for icon view tooltips
  * Bump all tooltips code to GTK 2.11.6
  * Improve color scheme matching
  * When reading current settings from gconf, get the color scheme from the
    GTK theme if necessary to allow matching against themes retrieved via
    gnome-theme-info
  * Implement saving of the cursor theme name in metathemes and add a
    'Default pointer' option to the cursor theme list
  * Simplify tooltip descriptions
  * Really unset the gconf key when reverting colors
  * Implement drag-and-drop theme installation
  * Remove workarounds for initialization problems in early versions of the
    capplet
  * Fix cell renderer state logic to not always be on
  * Use cairo to draw the cell renderer selection
  * Show readable_name in cursor theme list instead of name
  * Fix mnemonics and customize theme window title
  * Fix theme installation
  * Update icon cache when installing icon themes
  * Prevent some memory leaks
  * Add controls for applying suggested backgrounds and/or fonts from
    metathemes
  * Only show background/font suggestions if they haven't already been
    applied
  * Cope with unset gconf keys and group gconf notifications (Jens Granseuer)
  * Only create the custom theme entry when changes are made, and delete it
    when the theme is saved
  * Add %%F to the exec line so external programs like epiphany can set the
    background
  * Default to showing the background tab if wallpapers were given on the
    command line
  * Use our custom cell renderer for metathemes too, so the previews don't
    get shaded
  + default applications:
  * Change custom command entries to be insensitive instead of
    noneditable
  * Remove spurious desktop entries
  + keyboard:
  * Improved layout and sorting
  * Implement DND in the selected layouts list
  * Eliminate up/down buttons in the layout list
  + network:
  * Also use new icon in the window title bar
  + settings daemon:
  * Don't forget the Xft callback
  + themus:
  * Update to match theme callback signature
  + general:
  * Fix crash when no cursor is specified in theme
  * General cleanup and leak-plugging
  * Don't fail configuring if gstreamer is not available, simply skip the sound
    capplet
  * Remove spurous AT desktop entries (Jens Granseuer) (#444787)
  * Add support for custom theme names saved in metathemes (Denis Washington)
  * Re-add basic support for cursor themes for X servers without the Xcursor
    extension, like the one in Solaris
  * When applying a metatheme, check wether to set/unser color scheme gconf
    key
  * Fix notification of selection changed for GtkTreeView config support
  * Prevent cursor themes from being recognized as icon themes
  * Read a cursor themes's name from its index.theme file if it has one
  * Expand check for empty metatheme color scheme to include blank color scheme
    strings
  * Add tooltip foreground and background colors to the list of recognized
    symbolic colors
  + updated translations
- Remove control-center2-dont-update-mimedb.patch
- Use %%fdupes.
* Fri Jul 27 2007 jpr@suse.de
- Disable seamonkey patch to re-enable build
* Thu Jul 26 2007 jpr@suse.de
- Update version to 2.19.5 to get fix for (#293560)
- Many upstream bug fixes
  - Now uses icon theme for icons
  - Lots of changes to improve the settings daemon
- Translation updates
* Thu Jul 19 2007 gekker@suse.de
- Make sure that the new merged appearances capplet is visible
* Mon Jul  9 2007 maw@suse.de
- Update to version 2.19.4
- The source tarball is now called gnome-control-center-$version.tar.bz2;
  however, the package's name remains the same
- Concomitant with the tarball name change, a number of directories
  packaged have been renamed from control-center to
  gnome-control-center
- Remove the following upstreamed patches:
  * control-center2-217790-sanitize-dpi.diff
  * control-center2-compiz-keybindings.patch
  * control-center2-static-libslab.patch
  * control-center-control-key-events.patch
  * control-center-no-x-suse.patch
- Bug fixes, updated translations
- s#%%run_ldconfig#/sbin/ldconfig# in the %%post and %%postun
  sections.
* Wed Jun  6 2007 sbrabec@suse.cz
- Removed invalid desktop Category "Application" (#254654).
* Tue May 22 2007 sbrabec@suse.cz
- Removed X-SuSE tag from the upstream desktop file.
- Added MIME based default option for default applications FTP
  preferences (GNOME#426638#c13).
* Thu May 17 2007 rodrigo@suse.de
- Look for gnome-passwd.glade file in the correct dir (#272702)
* Mon May 14 2007 maw@suse.de
- Rename jhmfc.patch to control-center2-dont-update-mimedb.patch
* Thu Apr 12 2007 rodrigo@suse.de
- Added patch to use preferences.menu in control-center rather than
  gnomecc.menu.
* Tue Apr 10 2007 rodrigo@suse.de
- Added patch for building libslab statically.
- Patched schemas file to contain our default values.
* Thu Apr  5 2007 sbrabec@suse.cz
- Added "Use default web browser" option for default applications
  FTP preferences (#113104#c13).
* Mon Apr  2 2007 sbrabec@suse.cz
- Ported control-center-default-applications-ftp+news.patch
  (#113104#c11).
- Added seamonkey to default applications list.
* Fri Mar 30 2007 maw@suse.de
- Update to version 2.18.0
- b.g.o 344741 and 413468 (partially).
* Mon Mar 19 2007 sbrabec@suse.cz
- Fixed devel dependencies.
* Thu Mar 15 2007 maw@suse.de
- Update to version 2.17.91
- Refresh a number of patches.
- Bug fixes include bugzilla.gnome.org #402797, #358106, #380991,
  [#395383], #401004, #397905...
* Thu Mar  8 2007 sbrabec@suse.cz
- Removed obsolete hicolor icon symlinks (#248676).
* Thu Mar  1 2007 sbrabec@suse.cz
- Removed obsolete pangoxft patch (#249608).
* Wed Feb  7 2007 sbrabec@suse.cz
- Do not build unusable static libraries (#238552).
* Tue Jan  9 2007 sbrabec@suse.cz
- Prefix changed to /usr.
- Spec file cleanup.
* Fri Dec 22 2006 federico@novell.com
- Added control-center2-217790-sanitize-dpi.diff to fix the
  control-center2 part of
  https://bugzilla.novell.com/show_bug.cgi?id=217790.  Some X servers
  don't report the screen's physical dimensions correctly, so the DPI
  value is wrong.  This can lead to unusably huge or tiny fonts.  This
  patch constrains the X server's DPI value to something reasonable.
* Thu Nov 30 2006 sbrabec@suse.cz
- Fixed devel dependencies for older products.
* Sat Oct 14 2006 danw@suse.de
- Remove dead patches.
- Update and reenable control-center2-po-update.patch
* Fri Oct 13 2006 dreveman@suse.de
- Update compiz keybinding patch so it works with compiz 0.2.
* Fri Oct 13 2006 aj@suse.de
- Adjust BuildRequires for gnome-doc-utils.
* Mon Oct  2 2006 jhargadon@suse.de
- update to version 2.16.1
- display:
  - Never pass negative values for the rates
- keyboard:
  - Make sure 'model' is never NULL
- themus:
  - Fixed "Open" icon on button preview
  - Allow the text in the details to ellipsize and set a minimun width for
    the dialog
- translation updates
* Wed Sep 13 2006 jhargadon@suse.de
- update to versin 2.16.0
- avoid excess strduping
- avoid extra key events processing
- avoid grabbing all keyboard when the key code cannot be retrieved
- add missing maximize button
- translation updates
* Sat Sep  2 2006 gekker@suse.de
- Install dbus service file in correct location
* Wed Aug 30 2006 jhargadon@suse.de
- update to version 2.15.92
- fix "Background dialogue resizes when shown"
- fix issues with the themes previews
- free 'resolution' string after using it, not before
- fix memory leak
- patches from "generate visible previews first"
- translation updates
* Mon Aug 21 2006 jhargadon@suse.de
- update to version 2.15.91
- require libebook-1.2 1.7.90 for the new API
- use orca screenreader when available
- fixed X-GNOME-Bugzilla fields in .desktop file
- using Unicode subscript for repeating descriptions
- set "label for" and "labelled by" properties for the capplet
- only include libhal if HAL is enabled
- added support for locking down theme
- don't attempt to load window manager theme name from an unknown window
  manager
- use GtkAboutDialog, not GtkDialog
- use GtkStatusIcon instead of libegg
- translation updates
* Fri Aug  4 2006 sreeves@suse.de
- Mark an existing string in
  control-center2-soundupdate.patch for translation (185591)
* Thu Jun 29 2006 sbrabec@suse.cz
- Added two missing upstream translations (#185584#c27).
- Fixed Norwegian translation update (#185584#c29).
- Symlink password dialog icon to proper place (#185584#c29).
* Tue Jun 20 2006 sbrabec@suse.cz
- Fixed I18N bug in password dialog title (185584#c7).
* Fri Jun 16 2006 sreeves@suse.de
- Fix for 185591 - missing localization for sound entries.
* Fri Jun 16 2006 sbrabec@suse.cz
- Fixed missing strings in password dialog (#185584).
* Fri Jun  2 2006 hpj@suse.de
- Updated the search patch to fall back to gnome-search-tool if
  Beagle can't be found.
* Mon May 29 2006 hpj@suse.de
- Add patch to invoke Beagle on "search" keybinding. Fixes Novell
  bug #132801.
* Mon May 29 2006 sbrabec@suse.cz
- Added passwd capplet to POTFILES.in (#179459).
* Sun May 28 2006 danw@suse.de
- Add toggle maximize, horiz/vert maximize, and show desktop to
  control-center2-compiz-keybindings.patch (#178220)
* Tue May  9 2006 dobey@suse.de
- Add fixes for CRITICAL warnings from background-properties
  See bug https://bugzilla.novell.com/show_bug.cgi?id=83196
* Sun May  7 2006 danw@suse.de
- Add cube unfold binding to control-center2-compiz-keybindings.patch
* Tue May  2 2006 sbrabec@suse.cz
- Moved proxy settings from Hardware to System (#167466).
* Thu Apr 20 2006 danw@suse.de
- Add compiz keybindings to gnome-keybinding-properties. 163208
* Wed Apr 19 2006 sreeves@suse.de
- Fix for 148037 - mangled widgetry in sound capplet
* Thu Apr 13 2006 sbrabec@suse.cz
- Call %%suse_update_desktop_file for all desktop files.
- Added gnome-ui-properties to control-center (118960#c11).
- Use new control-center Categories instead of illegal old ones.
* Mon Apr  3 2006 jpr@suse.de
-  Add gst 0.10 support for gnome-settings-daemon
* Thu Mar 23 2006 rodrigo@suse.de
- Updated control-center2-multiple-displays.patch to use the correct
  DISPLAY for bonobo-activation, and fixed ultra-quick error dialog
  (#156801).
* Thu Mar 23 2006 federico@novell.com
- Updated control-center2-system-proxy-configuration.diff to fix bug
  [#158600].  Gnome-settings-daemon will now read the HTTPS_PROXY value
  from /etc/sysconfi/proxy and set it in the appropriate GConf keys.
* Mon Mar  6 2006 rodrigo@suse.de
- Added patch to support multiple concurrent sessions (fixes part
  of #150623).
* Thu Mar  2 2006 rodrigo@suse.de
- Don't spawn esd daemon, already done in libesound (part of
  [#153419])
* Sun Feb 19 2006 aj@suse.de
- Reduce BuildRequires.
* Fri Feb 17 2006 sreeves@suse.de
- Another Update .desktop file (Name, GenericName, Comment, DocPath)
* Fri Feb 17 2006 gekker@suse.de
- Fixup .desktop files for UI team
* Fri Feb 17 2006 sreeves@suse.de
- Update .desktop file (Name, GenericName, Comment, DocPath)
* Wed Feb 15 2006 gekker@suse.de
- Fix font thumbnailing (b.g.o#329043)
* Mon Feb 13 2006 gekker@suse.de
- Remove dependency on e-d-s, not required since we don't ship
  the about me capplet, partial fix for (#148339)
* Wed Feb  1 2006 sbrabec@suse.cz
- Use translation compendium gnome-patch-translation.
* Tue Jan 31 2006 rodrigo@suse.de
- Use /etc/pam.d/common-* for PAM authentication (146699)
* Mon Jan 30 2006 sbrabec@suse.cz
- Implemented ftp:// and news:// to
  gnome-default-applications-properties (#113104).
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 18 2006 hpj@suse.de
- Updated the passwd-dialog patch to pass through messages from PAM.
  This is necessary for the PAM Winbind module, as it informs the
  user of password policies and more complex error situations.
* Thu Jan 12 2006 sreeves@suse.de
- Add X-Ximian-Settings to default-applications.desktop. Fix for Bug#141104
* Mon Dec 26 2005 federico@novell.com
- Added control-center2-system-proxy-configuration.diff.  This was
  included in SUSE Linux 9.3 for bug #71202.  This makes gnome-settings-daemon
  default to the YaST settings for the HTTP proxy if appropriate, propagating
  them to apps that use GConf to find these settings.
* Wed Nov 30 2005 gekker@suse.de
- Update to version 2.12.2
- Remove upstreamed patch
* Tue Nov 29 2005 gekker@suse.de
- Add default-config patch for logout shortcut (#130829).
* Wed Oct 12 2005 gekker@suse.de
- Update to version 2.12.1
* Thu Oct  6 2005 gekker@suse.de
- Remove previous change for now
- Fix DocPath in .desktop file
* Tue Oct  4 2005 gekker@suse.de
- Rename "Desktop Background" to "Display Settings"
* Wed Sep 21 2005 rodrigo@suse.de
- Fixed icon and category of desktop file for change-passwd
  capplet (fixes #117028).
* Mon Sep 19 2005 sbrabec@suse.cz
- Fixed PreReq.
- Fixed permissions in PLUS.
* Thu Sep 15 2005 clahey@suse.de
- s/Assistive Technology Support/Assistive Technology/
- Change window height to 550.
- Part of fix for #115299
* Mon Sep  5 2005 aj@suse.de
- Update to 2.12.0.
* Mon Aug 29 2005 rodrigo@suse.de
- Added control-center2-screensaver.patch (#113353)
- Enabled setuid change-passwd program (GNOME part of #104993)
* Mon Aug 22 2005 gekker@suse.de
- Update to 2.11.92
- Remove upstreamed theme-thumbnail patch
* Sun Aug 21 2005 ro@suse.de
- added pangoxft to liblist
* Thu Aug 18 2005 gekker@suse.de
- Fix theme-thumbnail
* Tue Aug 16 2005 rodrigo@suse.de
- Added gnome-passwd patch from SP2.
* Fri Aug 12 2005 sreeves@suse.de
- Update the sound capplet to match interface requested by Nat
  and Federico. Also removed patch1 after talking with Jody as
  he indicates it is not needed.
* Wed Aug 10 2005 rodrigo@suse.de
- Update to version 2.11.91
* Tue Aug  2 2005 gekker@suse.de
- Update to version 2.11.90
- Add scrollkeeper magic
* Fri Jul 29 2005 jpr@suse.de
- Depend on kereberos libs for building
* Mon Jul 25 2005 gekker@suse.de
- Update to 2.11.6
- Backout fix for (b.g.o309558) fixed bug in xorg-x11
* Mon Jul 18 2005 sbrabec@suse.cz
- Don't grab Control key events by Show pointer function.
  http://bugzilla.gnome.org/show_bug.cgi?id=125618
- Fixed devel dependencies.
- Removed unneeded static modules and .la files for modules.
* Fri Jun 17 2005 gekker@suse.de
- Update to version 2.11.4
* Wed Jun  1 2005 sbrabec@suse.cz
- Fixed devel requirements.
* Wed Apr 13 2005 sbrabec@suse.cz
- Do not build with -Werror.
- Added required NULL-pointer argument.
* Fri Mar 18 2005 sbrabec@suse.cz
- Changed Categories for gnome-ui-properties and
  default-applications to appear only in menu (#73047).
* Wed Mar 16 2005 sbrabec@suse.cz
- Added X-Ximian-Settings to gnome-ui-properties and
  default-applications (#73047, #73547).
* Wed Mar 16 2005 clahey@suse.de
- Changed category of desktop files so they'll still be in control
  center but won't be in More Programs menu.
- Installed icons in hicolor and installed icons for proxy and for
  directories.
* Tue Mar 15 2005 sbrabec@suse.cz
- Symlink desktop icon to standard location (#72818).
* Thu Mar 10 2005 gekker@suse.de
- Add new version of the system-proxy-configuration patch (71202).
* Thu Mar 10 2005 gekker@suse.de
- Update to version 2.10.0 (GNOME 2.10).
* Mon Feb 28 2005 sbrabec@suse.cz
- Do not package mimeinfo.cache.
* Thu Feb 24 2005 sbrabec@suse.cz
- Removed gconf makefile-uninstall-rule (#33114).
* Fri Feb 18 2005 clahey@suse.de
- Add a desktop file for change password.
* Thu Feb 17 2005 gekker@suse.de
- add federico's system-proxy-configuration patch
* Thu Feb 10 2005 gekker@suse.de
- Update to version 2.9.91
* Fri Jan 28 2005 sbrabec@suse.cz
- Fixed directory ownership (require nautilus).
- Fixed libexecdir.
* Wed Jan 26 2005 jody@suse.de
- jump to 2.9.4
- drop all the partial updates from 2.6
* Wed Dec 15 2004 hvogel@suse.de
- fix desktop file
* Fri Oct 29 2004 ro@suse.de
- merged stuff from jody:
- Additional translations
- Some minor accessibility patches that are unreleased in the 2.6.x branch
* Fri Oct 29 2004 ro@suse.de
- locale rename: no -> nb
* Mon Oct  4 2004 sbrabec@suse.cz
- Updated directory files to show properly icons and translations
  (#46621).
* Mon Oct  4 2004 sbrabec@suse.cz
- Czech translation update (#46621).
* Thu Sep 16 2004 jody@suse.de
- fix help links for accessibility technologies and window capplet
  [#61587], #61588
* Thu Sep  9 2004 dobey@suse.de
- Pull in changes for the background capplet from CVS
* Tue Sep  7 2004 sbrabec@suse.cz
- Created shared mime info.
* Mon Sep  6 2004 shprasad@suse.de
- Not applying patch6 because it is taken care by gnome-audio.
* Mon Aug 30 2004 rml@suse.de
- add control-center-keybinding-workaround.patch (fix
  Ximian bug #59654)
* Fri Aug 13 2004 shprasad@suse.de
- Fixes bug#63036 (Fix given by sdharmaveer@novell.com)
  makes gnome login/logout sounds play at login/logout events.
- Fixes bug#63038 (Fix given by sdharmaveer@novell.com)
  overrides the default gnome login/logout sounds by novell
  login/logout sounds.
* Tue Aug 10 2004 dobey@suse.de
- Include %%prefix/share/gnome-background-properties
* Tue Jul  6 2004 jody@suse.de
- Restore missing sound and mouse capplets
* Fri Jun 25 2004 jody@suse.de
- Move the shell into a tarball to improve maintainability
- Fix crash when clicking on whitespace
* Fri Jun 25 2004 jody@suse.de
- remove keyboard layout (obsolete)
- change printer capplet and fix icon
- update shell
- backport a few fixes from head
* Thu Jun  3 2004 clahey@suse.de
- gnome-applets is a more proper replacement package than control-center2.
* Mon May  3 2004 clahey@suse.de
- Upgraded to 2.6.1.
- Added patch to change desktop files to contain the Category needed
  to show up with the new gnome-vfs2.
* Fri Apr 30 2004 clahey@suse.de
- Added patch to use new control center shell.
* Tue Apr  6 2004 sbrabec@suse.cz
- Provide alternative desktop file in Utility->Desktop for non-GNOME
  sessions, to make possible configuration of GNOME applications.
- Build with -fno-strict-aliasing.
* Sat Mar 20 2004 adrian@suse.de
- do not show gnome CC menu entry in KDE
* Fri Feb 20 2004 sbrabec@suse.cz
- Fixed names of GNOME2 packages.
* Thu Feb 12 2004 hhetter@suse.de
- gconf schema (de-)installation in %%post and %%postun
* Sat Jan 10 2004 adrian@suse.de
- add %%defattr
* Tue Oct  7 2003 sbrabec@suse.cz
- Updated to version 2.4.0 (GNOME 2.4).
* Sat Sep 13 2003 matz@suse.de
- Fix wrong declaration that leads to segfaults.
* Thu Aug  7 2003 sbrabec@suse.cz
- Not use globbing for schemas in %%files.
- Removed duplicated screensaveer desktop file.
* Wed Aug  6 2003 hhetter@suse.de
- remove prefix clash fix patch
* Mon Jul 14 2003 sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Wed Jun 25 2003 sbrabec@suse.cz
- Updated to version 2.2.2.
- Use %%find_lang.
* Sun Jun 22 2003 ro@suse.de
- package directories
* Thu May 15 2003 sbrabec@suse.cz
- Updated to version 2.2.1.
* Fri Feb 14 2003 hhetter@suse.de
- look in /opt/gnome2 for GTK Themes instead of
  the GTK prefix, to get metathemes to work
* Fri Feb  7 2003 hhetter@suse.de
- updated to version 2.2.0.1 [GNOME 2.2.0]
* Mon Feb  3 2003 ro@suse.de
- added startup-notification to neededforbuild
* Thu Jan 16 2003 sbrabec@suse.cz
- Updated to version 2.1.6.
- Added Czech description for screensaver.
- Use gnome2-devel-packages for neededforbuild.
- Updated %%files.
* Thu Nov 21 2002 schwab@suse.de
- Fix missing declarations [#21674].
* Tue Oct 22 2002 hhetter@suse.de
- updated to version 2.0.2.91
- remove wrong docdir
* Tue Oct  1 2002 sbrabec@suse.cz
- Updated to version 2.0.1.1.
- Move gnome-window-settings-2.0.pc to /usr/%%_lib/pkgconfig/.
- Updated %%files section.
* Tue Sep 24 2002 sbrabec@suse.cz
- Added alsa-devel to neededforbuild, because esound-devel can require it.
* Thu Sep 19 2002 sbrabec@suse.cz
- Added alsa to neededforbuild, because esound can depend on it.
* Tue Sep  3 2002 hhetter@suse.de
- provide option to start xscreensaver-demo from control-center
  ( Bug Id #18789)
* Tue Aug 20 2002 hhetter@suse.de
- added prereq: filesystem
* Sat Jul 27 2002 adrian@suse.de
- add %%run_ldconfig
* Thu Jun 20 2002 hhetter@suse.de
- don't install schemas while make install
* Tue Jun 18 2002 meissner@suse.de
- use libdir for lib64
* Tue Jun 18 2002 hhetter@suse.de
- updated to version 2.0.0
- added missing schema file
* Fri Jun 14 2002 hhetter@suse.de
- supply schema files
* Wed Jun 12 2002 hhetter@suse.de
- added control-center gconf schemas and
  glade xml files to filelist
* Wed Jun  5 2002 hhetter@suse.de
- updated to version 1.99.10
* Fri Apr 26 2002 ro@suse.de
- replaced gnome-core2 by gnome-desktop in neededforbuild
* Thu Jan 31 2002 ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Thu Jan 24 2002 hhetter@suse.de
- initial SuSE package for GNOME 2.0 platform
